GET /v1/communicationtypes
Summary: Get all communication types.
Operation ID: CommunicationTypes_GetCommunicationTypes
Auth: unknown
Operation ID: CommunicationTypes_GetCommunicationTypes
Auth: unknown
Parameters (6)
active
(boolean, query, optional)
Filter the communication types. If true/false, only the active/inactive ones are returned. If null, all the communication types are returned.
calculateRowCount
(boolean, query, optional, default: False)
Optional: Calculate total number of rows.
firstRow
(integer, query, optional, default: 0)
Optional: first row to fetch. Default 0 = first row.
rowCount
(integer, query, optional)
Optional: How many rows to fetch, Default 20, maximum 100.
sortings
(array, query, optional)
Optional: A list of Key-Value pairs, containing names of fields and directions by which the results should be sorted. Any sortable field name (submodel fields not supported) in the model can be used, while value can be "Desc" or "Asc". Example: "?sortings[0].key=name&sortings[0].value=Asc".
textToSearch
(string, query, optional)
Optional: Text to search from communication type name.
No probe data for this endpoint yet.